<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class GrupoDeCompraResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'nombre' => $this->nombre,
            'devoluciones_habilitadas' => $this->devoluciones_habilitadas,
            'pedidos' => SubpedidoResource::collection($this->subpedidos),
            'total_a_recaudar' => number_format($this->totalARecaudar(),2),
            'total_barrial' => number_format($this->totalBarrial(),2),
            'total_devoluciones' => number_format($this->totalDevoluciones(),2),
            'total_a_transferir' => number_format($this->totalATransferir(),2),
            'total_transporte' => number_format($this->totalTransporte(),0),
            'cantidad_transporte' => number_format($this->cantidadTransporte(),0),
        ];
    }
}
