<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class SubpedidoResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'nombre' => $this->nombre,
            'grupo_de_compra' => $this->grupoDeCompra,
            'productos' => $this->productos,
            'aprobado' => (bool) $this->aprobado,
            'total' => number_format($this->total(),2),
            'total_transporte' => number_format($this->totalTransporte(),0),
            'cantidad_transporte' => number_format($this->cantidadTransporte(),0),
            'total_sin_devoluciones' => number_format($this->totalSinDevoluciones(),2),
            'devoluciones_total' => number_format($this->devoluciones_total,2),
            'devoluciones_notas' => $this->devoluciones_notas
        ];
    }
}
